Packages - Freedom Issue #1009

Freedom Issue # 123 (not-a-bug): wanted: blacklist for nonfree aur packages

Adding FS-UAE AUR packages to the blacklist
2016-05-11 03:24 PM - fturco

Status: not-a-bug % Done: 0%
Priority: freedom issue

Assignee:

Category:

Description

FS-UAE is an emulator for old Amiga software. FS-UAE itself is free software (GPL-2) but as far as | know all Amiga roms are
proprietary software. | also noticed that FS-UAE source code contains hardcoded references to proprietary rom files using their
SHA-1 checksum values ( for example:

https://github.com/FrodeSolheim/fs-uae/blob/bb82fe2eb7c274ead8bb4fceal fdf76240621921/doc/options/int_kickstart shai).
Related packages such as fs-uae-launcher also contain hardcoded references to proprietary rom files (see for example:
https://github.com/FrodeSolheim/fs-uae-launcher/blob/53d5d85a370d7af142bf595e774b7c4c63e93d26/fsgs/amiga/roms.py).
https:/fs-uae.net/ website is also full of references to proprietary Amiga games and the author even suggests buying the proprietary
Amiga Forever collection in order to legally obtain kickstart roms. | suggest to blacklist all AUR packages on the following page:
https://aur.archlinux.org/packages/?0=0&K=fs-uae. What do you think?

History

#1 - 2019-02-27 09:16 PM - bill-auger
- Related to Freedom Issue #751: Nonfree AUR packages added

#2 - 2019-02-27 09:18 PM - bill-auger

- Status changed from open to info needed

#3 - 2020-07-10 06:59 AM - bill-auger
- Related to deleted (Freedom Issue #751: Nonfree AUR packages)

#4 - 2020-07-10 07:01 AM - bill-auger
- Parent task set to #123

- Status changed from info needed to not-a-bug

closing, in favor of the 'your-system-sanity' discussion: #1035
